Alerts
GET /v1/alerts/{alert_id}/results
Get the results of an alert.
GET /v1/alerts/{alert_id}/results
curl --request GET \
--url https://api.getbluejay.ai/v1/alerts/{alert_id}/resultsimport requests
url = "https://api.getbluejay.ai/v1/alerts/{alert_id}/results"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v1/alerts/{alert_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/alerts/{alert_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/alerts/{alert_id}/results"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v1/alerts/{alert_id}/results")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/alerts/{alert_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyReturns the times an alert fired, newest first. A simulation result links to the simulation and run. An observability result links to the call. Filter with
source. page_size is 20 by default and 100 at most.
Path parameters
Query parameters
Headers
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request GET \
--url https://api.getbluejay.ai/v1/alerts/{alert_id}/results \
--header 'X-API-Key: <api-key>'
Example response
200
{
"alert_id": "<string>",
"source_scope": "<string>",
"results": [
{
"id": "<string>",
"alert_id": "<string>",
"created_at": "2026-01-01T00:00:00Z",
"triggered_by_entity_type": "<string>",
"triggered_by_entity_id": "<string>",
"entity_field": "<string>",
"actual_value": "<string>",
"expected_value": "<string>",
"operator_used": "<string>",
"agent_id": 123,
"metadata": {},
"source": "<string>",
"simulation": {
"simulation_id": 123,
"simulation_name": "<string>",
"simulation_run_id": 123,
"test_result_id": 123,
"run_status": "<string>"
},
"observability": {
"call_id": "<string>",
"call_status": "<string>",
"started_at": "2026-01-01T00:00:00Z"
}
}
],
"total_count": 123,
"page": 123,
"page_size": 123,
"items_in_page": 123,
"total_pages": 123
}
Last modified on October 21, 2026
⌘I
GET /v1/alerts/{alert_id}/results
curl --request GET \
--url https://api.getbluejay.ai/v1/alerts/{alert_id}/resultsimport requests
url = "https://api.getbluejay.ai/v1/alerts/{alert_id}/results"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v1/alerts/{alert_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/alerts/{alert_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/alerts/{alert_id}/results"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v1/alerts/{alert_id}/results")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/alerts/{alert_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body